Change the pin on the card associated with the customer reference and tracking number
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| newPIN | String | ✓ | The new PIN number for the card, the length is defined by the PIN length set up in your campaign | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | 1-255 characters | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName>ChangePin</methodName>
<params>
<param>
<value>
<string>0053897254</string>
</value>
</param>
<param>
<value>
<string>5983347526</string>
</value>
</param>
<param>
<value>
<string>5270690975827726</string>
</value>
</param>
<param>
<value>
<string>5402</string>
</value>
</param>
<param>
<value>
<string>1234567894125413655</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200206T18:43:51</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>37873bb0600779ae6d45da7ad31262e49fb77f6f</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo |
| profileNumber | String | Echo |
| cardNumber | String | Echo |
| trackingNumber | String | Echo |
| newPIN | String | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction ID number generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Status text indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>1234567894125413655</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0053897254</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>5983347526</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>5270690975827726</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
<member>
<name>newPin</name>
<value>
<string>5402</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>5983347526-37873bb0600779ae6d45da7ad31262e49fb77f6f</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>